-- --------------------------------------------------------
-- 主机:                           localhost
-- 服务器版本:                        10.3.11-MariaDB - mariadb.org binary distribution
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  9.4.0.5125
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- 导出 忘忧草 的数据库结构
CREATE DATABASE IF NOT EXISTS `忘忧草` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `忘忧草`;

-- 导出  表 忘忧草.0000_00代码名称对照表 结构
CREATE TABLE IF NOT EXISTS `0000_00代码名称对照表` (
  `代号` varchar(10) NOT NULL,
  `代号名称` varchar(50) DEFAULT NULL,
  `备注` varchar(50) DEFAULT NULL,
  `归属类别` varchar(6) DEFAULT NULL COMMENT '每个代号归属在哪个类别中,如短信接收人员类别为003,是表名前对应的序号',
  `启停标志` char(4) NOT NULL DEFAULT '启用' COMMENT '起用,停用',
  UNIQUE KEY `代号_归属类别` (`归属类别`,`代号`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='本系统中所有代码和名称对照表\r\n\r\n';

-- 正在导出表  忘忧草.0000_00代码名称对照表 的数据：~22 rows (大约)
/*!40000 ALTER TABLE `0000_00代码名称对照表` DISABLE KEYS */;
REPLACE INTO `0000_00代码名称对照表` (`代号`, `代号名称`, `备注`, `归属类别`, `启停标志`) VALUES
	('00', '董事长', '按公司治理架构设置', '200000', '启用'),
	('01', '监事长', '按公司治理架构', '200000', '启用'),
	('02', '执行总裁', '经营层', '200000', '启用'),
	('03', '执行官', '经营层', '200000', '启用'),
	('04', '董事会秘书', '按公司治理架构', '200000', '启用'),
	('05', '执行助理', '经营层', '200000', '启用'),
	('06', '总经理', '管理层', '200000', '启用'),
	('07', '副总经理', '管理层', '200000', '启用'),
	('080001', '人力资源', '人力资源，业条条线', '080000', '启用'),
	('080002', '信息科技', '科技条线', '080000', '启用'),
	('080004', '稽核管理', '风险合归部门业务之一', '080000', '启用'),
	('080005', '风险管理', '风险合规部业务之二', '080000', '启用'),
	('080006', '财务条线', '财务管理类，财务运营业务之一', '080000', '启用'),
	('080008', '安全保卫', '安全保卫，风险合规业务之三', '080000', '启用'),
	('080009', '监察管理', '监察管理类，风险合规之四', '080000', '启用'),
	('080010', '行政管理', '行政管理，办公室业务之一', '080000', '启用'),
	('080011', '服务规范', '服务规范，事业发展部业务之一', '080000', '启用'),
	('10', '正式员工', '职工分类', '200000', '启用'),
	('11', '营销期员工', '职工分类', '200000', '启用'),
	('12', '试用期员工', NULL, '200000', '启用'),
	('60', '营销经理', NULL, '200000', '启用'),
	('0000-01', '组织架构', '忘忧草组织架构管理模块,该功能完成机构和人员的增加', '200001', '启用');
/*!40000 ALTER TABLE `0000_00代码名称对照表` ENABLE KEYS */;

-- 导出  表 忘忧草.0000_01代码归类表 结构
CREATE TABLE IF NOT EXISTS `0000_01代码归类表` (
  `代码归属类别` varchar(6) NOT NULL COMMENT '6位以内,一般为数据库表名中对应的数字',
  `类别名称` varchar(50) NOT NULL,
  `备注` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='与0000_00代码对照表配合使用,确定每个对照表中的代码归属在哪一个类别中,即';

-- 正在导出表  忘忧草.0000_01代码归类表 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `0000_01代码归类表` DISABLE KEYS */;
REPLACE INTO `0000_01代码归类表` (`代码归属类别`, `类别名称`, `备注`) VALUES
	('200000', '职务代码', '不得删除和修改!该类对应于用户表中的职务归类,系统中默认使用,'),
	('080000', '业务条线', '用于档案归属的业务条线，如财务、人力、科技、安保、风险等'),
	('200001', '模块功能类代码', '不得删除和修改!忘忧草办公系统里的各类功能模块代码,用于角色代码的分类管理,系统中默认');
/*!40000 ALTER TABLE `0000_01代码归类表` ENABLE KEYS */;

-- 导出  表 忘忧草.0000_02运行环境参数 结构
CREATE TABLE IF NOT EXISTS `0000_02运行环境参数` (
  `参数代号` varchar(6) NOT NULL,
  `参数名称` varchar(50) NOT NULL,
  `参数` varchar(50) NOT NULL,
  `参数类型` varchar(10) NOT NULL DEFAULT '',
  `参数说明` varchar(125) NOT NULL,
  PRIMARY KEY (`参数代号`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='设定各项运行参数,程序根据参数代号来使用参数,根据参数类型来作相应改变\r\n';

-- 正在导出表  忘忧草.0000_02运行环境参数 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `0000_02运行环境参数` DISABLE KEYS */;
REPLACE INTO `0000_02运行环境参数` (`参数代号`, `参数名称`, `参数`, `参数类型`, `参数说明`) VALUES
	('002501', '审请序号', '2019000000', '整数', '每年年初,为工作流申请的序号'),
	('070001', '发文序号', '2019000000', '整数', '每年年初为年号+000000,在发文登记时使用,2017年10月31日起用'),
	('070002', '收文序号', '2019000000', '整数', '每年年初为年号+00000,在收文登记时使用,2017年10月31日起用');
/*!40000 ALTER TABLE `0000_02运行环境参数` ENABLE KEYS */;

-- 导出  表 忘忧草.0001_00组织机构 结构
CREATE TABLE IF NOT EXISTS `0001_00组织机构` (
  `组织机构ID` varchar(18) NOT NULL COMMENT '其中000与01是两个特殊机构,不可以修改ID/级别/上级机构ID!!,每级2个代码,从01-99',
  `状态` char(4) NOT NULL COMMENT '启用,停用,待审,机构原则上不能在数据库中直接删除,因为涉及后续管理或历史数据,而且这些机构有变动历史,',
  `机构简称` varchar(30) NOT NULL COMMENT '30个字符,15个汉字以内,便于报表展示时使用',
  `机构全称` varchar(200) DEFAULT NULL COMMENT '200个字符,全称,在一些对外使用的报表中采用',
  `上级机构ID` varchar(18) DEFAULT NULL COMMENT '来自"组织机构ID",当该组织机构为顶级时,该值为空(构成自动生成树型数据集需要',
  `机构级别` tinyint(4) NOT NULL COMMENT '表中只有一个机构级别为0的机构,为公司总部对外全称,且改级别的上级机构为空,其他机构必须有上级机构,且机构ID只能是上一级别',
  `备注` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`组织机构ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='办公软件基础表之一,是办公软件前题题';

-- 正在导出表  忘忧草.0001_00组织机构 的数据：~1 rows (大约)
/*!40000 ALTER TABLE `0001_00组织机构` DISABLE KEYS */;
REPLACE INTO `0001_00组织机构` (`组织机构ID`, `状态`, `机构简称`, `机构全称`, `上级机构ID`, `机构级别`, `备注`) VALUES
	('00', '启用', '忘忧草总公司', '中国忘忧草营销总公司', NULL, 0, NULL),
	('01', '启用', '监事会', '中国忘忧草营销总公司监事会', '00', 1, '2019-02-21新增2019-02-21zxh审核:启用'),
	('02', '启用', '人力资源部', '中国忘忧草营销总公司人力资源部', '00', 1, '2019-02-21新增2019-02-21zxh审核:启用'),
	('03', '启用', '办公室', '中国忘忧草营销总公司办公室', '00', 1, '2019-02-21新增2019-02-21zxh审核:启用'),
	('04', '启用', '董事会办公室', '中国忘忧草营销总公司董事会办公室', '00', 1, '2019-02-21新增2019-02-21zxh审核:启用'),
	('05', '启用', '分支机构', '中国忘忧草营销总公司分支机构', '00', 1, '2019-02-21新增2019-02-21zxh审核:启用'),
	('0501', '启用', '沈阳分公司', '中国忘忧草营销总公司沈阳分公司', '05', 2, '2019-02-21新增2019-02-21zxh审核:启用'),
	('050101', '启用', '人力资源', '中国忘忧草营销总公司沈阳分公司人力资源', '0501', 3, '2019-02-21新增 2019-02-21zxh审核:启用'),
	('050102', '启用', '办公室', '中国忘忧草营销总公司沈阳分公司办公室', '0501', 3, '2019-02-21新增 2019-02-21zxh审核:启用'),
	('050103', '启用', '营业厅', '中国忘忧草营销总公司沈阳分公司营业厅', '0501', 3, '2019-02-21新增 2019-02-21zxh审核:启用'),
	('0502', '启用', '营口分公司', '中国忘忧草营销总公司营口分公司', '05', 2, '2019-02-21新增2019-02-21zxh审核:启用'),
	('050201', '启用', '人力资源', '中国忘忧草营销总公司营口分公司人力资源', '0502', 3, '2019-02-21新增 2019-02-21zxh审核:启用'),
	('050202', '启用', '办公室', '中国忘忧草营销总公司营口分公司办公室', '0502', 3, '2019-02-21新增 2019-02-21zxh审核:启用'),
	('050203', '启用', '营业厅', '中国忘忧草营销总公司营口分公司营业厅', '0502', 3, '2019-02-21新增 2019-02-21zxh审核:启用');
/*!40000 ALTER TABLE `0001_00组织机构` ENABLE KEYS */;

-- 导出  表 忘忧草.0002_00_01用户密码更改情况 结构
CREATE TABLE IF NOT EXISTS `0002_00_01用户密码更改情况` (
  `用户ID` varchar(36) NOT NULL,
  `更改日期` date NOT NULL,
  `备注` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='记录用户登录情况,初次为建立用户起';

-- 正在导出表  忘忧草.0002_00_01用户密码更改情况 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0002_00_01用户密码更改情况` DISABLE KEYS */;
REPLACE INTO `0002_00_01用户密码更改情况` (`用户ID`, `更改日期`, `备注`) VALUES
	('d0aa15ab-477a-4088-8851-9e9bb5a40302', '2019-02-21', 'zxh新增用户初始密码'),
	('40fd2160-8acc-42af-88c7-badf725af814', '2019-02-21', 'zxh新增用户初始密码'),
	('fbc487f9-57ba-4432-bcd3-04579cb2f0b2', '2019-02-21', 'zxh新增用户初始密码'),
	('fbc487f9-57ba-4432-bcd3-04579cb2f0b2', '2019-02-21', 'zxh新增用户初始密码'),
	('d342b14c-47ba-4a6b-99a9-b6c34fb87078', '2019-02-21', 'zxh新增用户初始密码');
/*!40000 ALTER TABLE `0002_00_01用户密码更改情况` ENABLE KEYS */;

-- 导出  表 忘忧草.0002_00用户基本信息表 结构
CREATE TABLE IF NOT EXISTS `0002_00用户基本信息表` (
  `用户ID` varchar(36) NOT NULL COMMENT '由UUID()随机生成36位字符串,是用户的唯一标识',
  `登录用ID` varchar(10) NOT NULL COMMENT '登录时用的ID,便于记忆,,与密码配套使用,也是唯一标识',
  `姓名` varchar(50) NOT NULL,
  `归属机构` varchar(18) NOT NULL COMMENT '见0001_00组织机构中的组织机色ID,18位',
  `职务代码` varchar(10) NOT NULL COMMENT '0000_00代码名称对照表中的',
  `手机号码` varchar(11) NOT NULL,
  `办公电话` varchar(16) DEFAULT NULL COMMENT '办公电话区号+座机号',
  `其他电话` varchar(11) DEFAULT NULL COMMENT '其他号码,如集团小号等',
  `是否可登录标志` varchar(2) NOT NULL DEFAULT '待审' COMMENT '启用-表示可以登录,其他不可以登录;停用-不可以登录;待审-指刚被增加,还没有审核的,此标志',
  `登录密码` varchar(100) NOT NULL COMMENT '用户密码,初始密码为Q123456!用md5保存',
  PRIMARY KEY (`用户ID`),
  UNIQUE KEY `登录用ID` (`登录用ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主要用于登录,系统,同时考虑到登录的方便性,设有三个系统别称和一个登录用户名';

-- 正在导出表  忘忧草.0002_00用户基本信息表 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0002_00用户基本信息表` DISABLE KEYS */;
REPLACE INTO `0002_00用户基本信息表` (`用户ID`, `登录用ID`, `姓名`, `归属机构`, `职务代码`, `手机号码`, `办公电话`, `其他电话`, `是否可登录标志`, `登录密码`) VALUES
	('40fd2160-8acc-42af-88c7-badf725af814', '1002', '人事总经理', '02', '06', '13812345679', NULL, NULL, '启用', 'e3719402670907e50b0d1778f312f416'),
	('d0aa15ab-477a-4088-8851-9e9bb5a40302', '1001', '人事助理', '02', '10', '13812345678', NULL, NULL, '启用', 'e3719402670907e50b0d1778f312f416'),
	('d342b14c-47ba-4a6b-99a9-b6c34fb87078', '1004', '董事会秘书', '04', '04', '13812345672', NULL, NULL, '启用', 'e3719402670907e50b0d1778f312f416'),
	('fbc487f9-57ba-4432-bcd3-04579cb2f0b2', '1003', '执行总裁', '04', '02', '13812345671', NULL, NULL, '启用', 'e3719402670907e50b0d1778f312f416');
/*!40000 ALTER TABLE `0002_00用户基本信息表` ENABLE KEYS */;

-- 导出  表 忘忧草.0002_01用户角色代码表 结构
CREATE TABLE IF NOT EXISTS `0002_01用户角色代码表` (
  `角色代码` varchar(10) NOT NULL COMMENT '自行编写,最好有一定规律,方便管理,删除角色,则权限消失,角色代码不能重复',
  `角色名称` varchar(50) NOT NULL COMMENT '自行编写,以简练易懂为好,系统模块名称+加功能名',
  `归属系统代码` varchar(10) NOT NULL COMMENT '来自于0000_00代码名称对照表,归属类别为200001,见0000_01代码归类表',
  `备注` varchar(100) DEFAULT NULL COMMENT '说明这个角色的用途,可空',
  PRIMARY KEY (`角色代码`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用于调整登录用户角色,角色配好报表权限即可,要在VIEW_0001登录用户中体现,并配置在帆软系统的用户里\r\n';

-- 正在导出表  忘忧草.0002_01用户角色代码表 的数据：~4 rows (大约)
/*!40000 ALTER TABLE `0002_01用户角色代码表` DISABLE KEYS */;
REPLACE INTO `0002_01用户角色代码表` (`角色代码`, `角色名称`, `归属系统代码`, `备注`) VALUES
	('0000_00', '普通角色', '0000', '所有正式员工应该有的权限'),
	('0000_01', '组织架构_录入', '0000-01', '在办公系统中录入新机构和新人员'),
	('0000_02', '组织架构_审核', '0000-01', '结新增机构和人员进行审核'),
	('0000_03', '测试人员', '0000-01', '测试人员,功能较全');
/*!40000 ALTER TABLE `0002_01用户角色代码表` ENABLE KEYS */;

-- 导出  表 忘忧草.0002_02用户角色分配表 结构
CREATE TABLE IF NOT EXISTS `0002_02用户角色分配表` (
  `用户ID` varchar(36) NOT NULL COMMENT '来自于0002_00用户基本信息表中的用户ID',
  `角色代码` varchar(10) NOT NULL COMMENT '来自于0002_01用户角色代码表中的角色代码',
  UNIQUE KEY `用户ID` (`用户ID`,`角色代码`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='该表为登录用户已分配的角色,一个员工可对应多个角色,当角色变更时需要工作流配合\r\n';

-- 正在导出表  忘忧草.0002_02用户角色分配表 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0002_02用户角色分配表` DISABLE KEYS */;
REPLACE INTO `0002_02用户角色分配表` (`用户ID`, `角色代码`) VALUES
	('40fd2160-8acc-42af-88c7-badf725af814', '0000_00'),
	('d0aa15ab-477a-4088-8851-9e9bb5a40302', '0000_00'),
	('d342b14c-47ba-4a6b-99a9-b6c34fb87078', '0000_00'),
	('fbc487f9-57ba-4432-bcd3-04579cb2f0b2', '0000_00');
/*!40000 ALTER TABLE `0002_02用户角色分配表` ENABLE KEYS */;

-- 导出  表 忘忧草.0024_0工作流 结构
CREATE TABLE IF NOT EXISTS `0024_0工作流` (
  `工作流ID` varchar(13) NOT NULL COMMENT 'gzl+日期,如gzl20160425+序号2位,也可自定义',
  `工作流名称` varchar(50) NOT NULL COMMENT '说明该工作流实际意义',
  `起用标志` char(2) DEFAULT NULL COMMENT '起用标志为"是"与否"',
  `审批通过后的动作` varchar(100) DEFAULT NULL COMMENT '对应的表单cpt,备用',
  `执行标志` char(1) NOT NULL DEFAULT '是' COMMENT '是-会在原流程基础上自动增加一个执行环节,即再回到申请人提交一次,即执行完成,,申请状态为完成装态,否则直接为完成状态',
  PRIMARY KEY (`工作流ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='先定义各环节名单,相关于角色名单,再定义工作流,再定义每个环节,\r\n工作流中的环节ID选自事先定义好的环节名单,\r\n即达到同样一个环节名单,在不同的工作流中起到的决定意义不同\r\n另外如果申请模版变化,请停止原工作流,新增工作流来解决,否则查询以前的模版会发生错误\r\n';

-- 正在导出表  忘忧草.0024_0工作流 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0024_0工作流` DISABLE KEYS */;
REPLACE INTO `0024_0工作流` (`工作流ID`, `工作流名称`, `起用标志`, `审批通过后的动作`, `执行标志`) VALUES
	('2019001', '调整职务或工作机构变动', '是', NULL, '是');
/*!40000 ALTER TABLE `0024_0工作流` ENABLE KEYS */;

-- 导出  表 忘忧草.0024_0环节标识对照表 结构
CREATE TABLE IF NOT EXISTS `0024_0环节标识对照表` (
  `环节ID` varchar(15) NOT NULL,
  `环节名称` varchar(50) NOT NULL,
  `备注` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`环节ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='还节标识及名称,备注,如审贷委员会,风险管理委员会,总经理,等';

-- 正在导出表  忘忧草.0024_0环节标识对照表 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `0024_0环节标识对照表` DISABLE KEYS */;
REPLACE INTO `0024_0环节标识对照表` (`环节ID`, `环节名称`, `备注`) VALUES
	('hj001', '人力资源总经理', '用于职务或单位调整或其他人力资源事项'),
	('hj002', '人力资源主管行长', '人力资源条线主管行长');
/*!40000 ALTER TABLE `0024_0环节标识对照表` ENABLE KEYS */;

-- 导出  表 忘忧草.0024_1工作流归属环节 结构
CREATE TABLE IF NOT EXISTS `0024_1工作流归属环节` (
  `工作流ID` varchar(13) NOT NULL COMMENT '与工作流相同',
  `环节ID` varchar(15) NOT NULL COMMENT '工作环节名单标志,与0024_2工作流_环节名单相同',
  `环节序号` int(11) NOT NULL COMMENT '此环节在工作流中所处序号',
  `通过条件` decimal(4,3) NOT NULL COMMENT '比通过百分比,1为必须全部同意,如0.3即为30%的同意即为通过',
  `参与表决人数` int(11) NOT NULL,
  `末通过环节动作` char(10) NOT NULL DEFAULT '终止' COMMENT '终止，回退',
  `工作环节标志` char(2) DEFAULT NULL COMMENT '1,2,3,4,见注释',
  `工作环节说明` char(60) DEFAULT NULL,
  UNIQUE KEY `工作流ID` (`工作流ID`,`环节序号`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1，表示所有参与人员必须签署意见，否 则不通过,\r\n2,  表示所有参与人员只要通过率和不通过率达到通过条件即可通过,达到不通过率则回退或关闭,部分人可以不签署意见,如有人不同意时\r\n3，表示只此环节是一种通知,但必须签署意见,,即所有人只要签意见即可,无须计算通过率\r\n4，表示此环节只是一种通知,是否签署意见都要进行下一环节,此环节只是为一种通知,同意与否本环节都要通过,即此环节可以不签署意见,也可以通过\r\n\r\n';

-- 正在导出表  忘忧草.0024_1工作流归属环节 的数据：~2 rows (大约)
/*!40000 ALTER TABLE `0024_1工作流归属环节` DISABLE KEYS */;
REPLACE INTO `0024_1工作流归属环节` (`工作流ID`, `环节ID`, `环节序号`, `通过条件`, `参与表决人数`, `末通过环节动作`, `工作环节标志`, `工作环节说明`) VALUES
	('2019001', 'hj001', 1, 1.000, 1, '终止', '1', '职务调整和机构变动,总经理审批'),
	('2019001', 'hj002', 2, 1.000, 1, '终止', '1', '职务调整和机构变动,人力资源主管行长审批');
/*!40000 ALTER TABLE `0024_1工作流归属环节` ENABLE KEYS */;

-- 导出  表 忘忧草.0024_2环节名单 结构
CREATE TABLE IF NOT EXISTS `0024_2环节名单` (
  `环节ID` char(15) NOT NULL COMMENT '14位字符,可自定义',
  `此环节人员ID` varchar(36) NOT NULL COMMENT '用户ID,来自于用户基本信息表'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定认每个环节标志及组成人员,每个流程可以共用一个环节名单,但每个每环节的标志和流程是不一样的\r\n整个工流+环节+环节名单,一个环节名单可以对应多个不同工作流中的环节,即工作流_环节是一一对应的,但环节对应的名单可以是一对多的(相关于角色集,)\r\n\r\n';

-- 正在导出表  忘忧草.0024_2环节名单 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `0024_2环节名单` DISABLE KEYS */;
REPLACE INTO `0024_2环节名单` (`环节ID`, `此环节人员ID`) VALUES
	('hj001', '1097'),
	('hj002', '1015'),
	('hj001', '1016');
/*!40000 ALTER TABLE `0024_2环节名单` ENABLE KEYS */;

-- 导出  表 忘忧草.0025_01申请登记簿 结构
CREATE TABLE IF NOT EXISTS `0025_01申请登记簿` (
  `申请ID` varchar(36) NOT NULL COMMENT '申请号的唯一标识',
  `创建人ID` varchar(36) DEFAULT NULL COMMENT '创建人用户ID',
  `创建时归属单位` varchar(18) DEFAULT NULL COMMENT '后续查询时创建人有可能工作部门发生变动,在此记录',
  `申请事项名称` varchar(500) DEFAULT NULL,
  `申请事由` varchar(500) DEFAULT NULL,
  `创建申请时间` datetime DEFAULT NULL,
  `完成时间` datetime DEFAULT NULL,
  `进度` char(10) DEFAULT NULL COMMENT '例环节2通过,全部通过',
  `当前环节号` int(11) DEFAULT NULL COMMENT '例2',
  `工作流ID` char(11) DEFAULT NULL COMMENT '与0024_0工作流中的ID相对应',
  `工作流名称` varchar(50) DEFAULT NULL,
  `工作流环节数` tinyint(4) DEFAULT NULL COMMENT '表明此项申请共有几个环节',
  `申请类型` varchar(10) DEFAULT NULL COMMENT '如发文申请,机房出入申请,主要是标明申请事项',
  `审批通过后的动作` varchar(100) DEFAULT NULL COMMENT '对应的表单,来自于工作流中的处理后',
  `状态` varchar(6) DEFAULT NULL COMMENT '待处理,关闭,退回,全部通过,-标识一个工作流要进行的处理过程,只有已关闭的不在进入审批处理流程',
  PRIMARY KEY (`申请ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='根据申请事项所依据的工作流生成登记簿,并计录该事项当前进度及申请结果';

-- 正在导出表  忘忧草.0025_01申请登记簿 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0025_01申请登记簿` DISABLE KEYS */;
/*!40000 ALTER TABLE `0025_01申请登记簿` ENABLE KEYS */;

-- 导出  表 忘忧草.0025_02申请内容 结构
CREATE TABLE IF NOT EXISTS `0025_02申请内容` (
  `申请ID` varchar(36) NOT NULL COMMENT '来自于0025_01申请登记簿',
  `内容标记` varchar(50) NOT NULL COMMENT '标记申请内容位于申请表中的位值,如A3,C5或行列标识',
  `申请内容` varchar(300) NOT NULL COMMENT '申请的内容,根据工作流和申请模版确定,如果模版改变,请用停用旧工作流,起用新工作流来完成,否则显示有问题',
  UNIQUE KEY `申请ID` (`申请ID`,`内容标记`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 ROW_FORMAT=DYNAMIC COMMENT='此文件存放申请内容,各工作流内容不同,';

-- 正在导出表  忘忧草.0025_02申请内容 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0025_02申请内容` DISABLE KEYS */;
/*!40000 ALTER TABLE `0025_02申请内容` ENABLE KEYS */;

-- 导出  表 忘忧草.0025_03申请环节登记簿 结构
CREATE TABLE IF NOT EXISTS `0025_03申请环节登记簿` (
  `申请ID` varchar(36) NOT NULL COMMENT '与申请登记簿中的一致',
  `环节ID` varchar(15) NOT NULL COMMENT '工作环节名单标志,与0024_2工作流_环节名单相同',
  `环节序号` int(11) NOT NULL COMMENT '此环节在工作流中所处序号',
  `通过条件` decimal(4,3) NOT NULL COMMENT '比通过百分比,1为必须全部同意,如0.3即为30%的同意即为通过',
  `参与表决人数` int(11) NOT NULL,
  `末通过环节动作` char(10) NOT NULL DEFAULT '终止' COMMENT '终止，回退',
  `工作环节标志` char(2) DEFAULT NULL COMMENT '1,2,3,4,见注释',
  UNIQUE KEY `工作流ID` (`申请ID`,`环节序号`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='1，表示所有参与人员必须签署意见，否 则不通过,\r\n2,  表示所有参与人员只要通过率达到通过条件即可通过,部分人可以不签署意见\r\n3，表示只此环节是一种通知,但必须签署意见,,即所有人只要签意见即可,无须计算通过率,需要等待此环节全部签署完\r\n4，表示此环节只是一种通知,是否签署意见都要进行下一环节,此环节只是为一种通知,同意与否本环节都要通过,即此环节可以不签署意见,也可以通过,即不等待\r\n每个申请对应的环节标识和处理要求,是处理下一环节的依据,根据通过率来测算是否通过\r\n每个申请生成后,相应工作流即生成,此时更改工作流并不影响已生成的各项申请\r\n';

-- 正在导出表  忘忧草.0025_03申请环节登记簿 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0025_03申请环节登记簿` DISABLE KEYS */;
/*!40000 ALTER TABLE `0025_03申请环节登记簿` ENABLE KEYS */;

-- 导出  表 忘忧草.0025_04申请签阅登记簿 结构
CREATE TABLE IF NOT EXISTS `0025_04申请签阅登记簿` (
  `申请ID` varchar(36) NOT NULL COMMENT '来自于0025_01申请登记簿',
  `签阅意见` varchar(300) DEFAULT NULL,
  `签阅标识` char(3) DEFAULT NULL COMMENT '同意,退回,不同意,对于退回也是重新生成申请,只是能够标识出旧申请号',
  `用户ID` varchar(36) NOT NULL COMMENT '签阅人的用户ID,',
  `签阅时间` datetime DEFAULT NULL,
  `开始时间` datetime DEFAULT NULL COMMENT '生成工作流的时间,流转到该环节的时间',
  `环节序号` int(11) NOT NULL DEFAULT 0,
  KEY `收发文号` (`申请ID`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 ROW_FORMAT=DYNAMIC COMMENT='存放申请中每个人的签阅情况';

-- 正在导出表  忘忧草.0025_04申请签阅登记簿 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0025_04申请签阅登记簿` DISABLE KEYS */;
/*!40000 ALTER TABLE `0025_04申请签阅登记簿` ENABLE KEYS */;

-- 导出  表 忘忧草.002_00_02用户重要变更登记簿 结构
CREATE TABLE IF NOT EXISTS `002_00_02用户重要变更登记簿` (
  `列 1` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='登记职务变动';

-- 正在导出表  忘忧草.002_00_02用户重要变更登记簿 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `002_00_02用户重要变更登记簿` DISABLE KEYS */;
/*!40000 ALTER TABLE `002_00_02用户重要变更登记簿` ENABLE KEYS */;

-- 导出  表 忘忧草.0700_01收发文登记簿 结构
CREATE TABLE IF NOT EXISTS `0700_01收发文登记簿` (
  `收发文号` varchar(12) NOT NULL COMMENT '收发文顺序号,收文为SW123456,发文为:FW2017123456,收发文标识2位,年号4位,顺序号6位,每年1日初始化为0',
  `收发文时间` date DEFAULT NULL COMMENT '登记收发文的日期',
  `收发文文件号` varchar(60) DEFAULT NULL COMMENT '收发文正文文件号',
  `收发文文件名称` varchar(600) DEFAULT NULL COMMENT '文件标题,下载时用此+收发文文件后缀',
  `处理状态` varchar(10) DEFAULT NULL COMMENT '开始/传阅中,传阅完毕/归档,/收回登记后为开始状态,定义传阅人后为传阅状态,所有传阅人签阅后为传阅完毕,只有传阅完毕的才可以进入下一环节或归档',
  `收发文单位` varchar(60) DEFAULT NULL COMMENT '如果是收文,此处写明来自于人行/银监局还是其他部门;如果是发文,此处填写的是起草人所在部门',
  `收发文件类型` varchar(10) DEFAULT NULL COMMENT '如doc,PDF,jpg等',
  `收发文关键字` varchar(100) DEFAULT NULL,
  `收发文密级` varchar(10) DEFAULT NULL COMMENT '普通-可以所有人查阅读,其他不能上传电子文档,只记录传阅情况',
  `起草人` varchar(10) DEFAULT NULL,
  `文件性质` varchar(4) DEFAULT NULL COMMENT '收文,发文',
  `文件类别` varchar(10) DEFAULT NULL COMMENT '归属条线',
  `归档时间` datetime DEFAULT NULL,
  `当前序号` tinyint(3) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`收发文号`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 COMMENT='登记处理收发文,此文件登记收发文的处理状态和基本信息,同时登记正文类型等信息';

-- 正在导出表  忘忧草.0700_01收发文登记簿 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0700_01收发文登记簿` DISABLE KEYS */;
/*!40000 ALTER TABLE `0700_01收发文登记簿` ENABLE KEYS */;

-- 导出  表 忘忧草.0700_02文件正文 结构
CREATE TABLE IF NOT EXISTS `0700_02文件正文` (
  `收发文号` varchar(12) NOT NULL COMMENT '来自于0700_01收发文登记簿相同字段',
  `文件正文` longblob NOT NULL COMMENT '存放文件正文的二进制内容,文件类型和名称从0700_01文件中取得',
  PRIMARY KEY (`收发文号`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 COMMENT='此文件存放文件正文,';

-- 正在导出表  忘忧草.0700_02文件正文 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0700_02文件正文` DISABLE KEYS */;
/*!40000 ALTER TABLE `0700_02文件正文` ENABLE KEYS */;

-- 导出  表 忘忧草.0700_03文件签阅登记簿 结构
CREATE TABLE IF NOT EXISTS `0700_03文件签阅登记簿` (
  `收发文号` varchar(12) NOT NULL COMMENT '来自0700_01收发文登记簿',
  `签阅意见` varchar(300) DEFAULT NULL,
  `签阅标识` char(2) DEFAULT NULL COMMENT '同意,退回',
  `用户ID` varchar(36) NOT NULL COMMENT '签阅人的用户ID,不是登录号,见0002-00用户基本信息表',
  `签阅时间` date DEFAULT NULL,
  `开始时间` date DEFAULT NULL,
  `状态` varchar(4) NOT NULL COMMENT '等待中,开始,已签,只有阅读开始的才能进入签阅',
  `序号` tinyint(4) NOT NULL DEFAULT 0,
  KEY `收发文号` (`收发文号`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 COMMENT='存放每个人的签阅情况';

-- 正在导出表  忘忧草.0700_03文件签阅登记簿 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0700_03文件签阅登记簿` DISABLE KEYS */;
/*!40000 ALTER TABLE `0700_03文件签阅登记簿` ENABLE KEYS */;

-- 导出  表 忘忧草.0700_04文件附件 结构
CREATE TABLE IF NOT EXISTS `0700_04文件附件` (
  `收发文号` char(12) DEFAULT NULL COMMENT '来自于0700_01收发文登记簿,在上传附件时使用',
  `附件正文` longblob DEFAULT NULL,
  `附件名称` varchar(300) DEFAULT NULL COMMENT '附件上传时文件的名称',
  KEY `收发文件号` (`收发文号`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 COMMENT='存放所有文件的附件';

-- 正在导出表  忘忧草.0700_04文件附件 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0700_04文件附件` DISABLE KEYS */;
/*!40000 ALTER TABLE `0700_04文件附件` ENABLE KEYS */;

-- 导出  表 忘忧草.0800_02档案正文 结构
CREATE TABLE IF NOT EXISTS `0800_02档案正文` (
  `档案标识号` varchar(50) NOT NULL COMMENT '来自于0800-电子档案登记簿下的档案标识号',
  `版本号` tinyint(4) NOT NULL COMMENT '同一电子档案可能在后续进行修改，有不同的版本号',
  `正文` longblob NOT NULL,
  `档案文件类型` varchar(10) NOT NULL COMMENT '如.doc,jpg .pdf等'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  忘忧草.0800_02档案正文 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0800_02档案正文` DISABLE KEYS */;
/*!40000 ALTER TABLE `0800_02档案正文` ENABLE KEYS */;

-- 导出  表 忘忧草.0800_03档案修订记录 结构
CREATE TABLE IF NOT EXISTS `0800_03档案修订记录` (
  `档案标识号` varchar(50) NOT NULL COMMENT '来自于0800_02档案正文，',
  `版本号` tinyint(4) NOT NULL COMMENT '来自于0800_02档案正文中的同一字段',
  `修定原因` varchar(100) NOT NULL,
  `修定内容` varchar(200) NOT NULL,
  `修定人` varchar(20) NOT NULL COMMENT '直接记录人名，不得用操作员号等代替',
  `审核人` varchar(20) NOT NULL COMMENT '直接记录人名，不得用操作员号等代替',
  `备注` varchar(50) DEFAULT NULL COMMENT '记录其他事项',
  `上传时间` datetime NOT NULL COMMENT '每次修订后的上传时间',
  KEY `档案标识号` (`档案标识号`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='当同一档案有修订时，登记相应项目，如修定人，修定原因，修定内容，修订人，审核人，备注\r\n日期等，与0800_02档案正文一一对应\r\n\r\n';

-- 正在导出表  忘忧草.0800_03档案修订记录 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0800_03档案修订记录` DISABLE KEYS */;
/*!40000 ALTER TABLE `0800_03档案修订记录` ENABLE KEYS */;

-- 导出  表 忘忧草.0800_04档案附件 结构
CREATE TABLE IF NOT EXISTS `0800_04档案附件` (
  `档案标识号` varchar(50) NOT NULL COMMENT '来自于0800-电子档案登记簿下的档案标识号',
  `版本号` tinyint(4) NOT NULL,
  `附件正文` longblob NOT NULL,
  `附件名称` varchar(300) NOT NULL COMMENT '附件上传时文件的名称',
  KEY `收发文件号` (`档案标识号`)
) ENGINE=InnoDB DEFAULT CHARSET=gb2312 ROW_FORMAT=COMPACT COMMENT='存放所有档案的附件,按标+版本号区分\r\n';

-- 正在导出表  忘忧草.0800_04档案附件 的数据：~0 rows (大约)
/*!40000 ALTER TABLE `0800_04档案附件` DISABLE KEYS */;
/*!40000 ALTER TABLE `0800_04档案附件` ENABLE KEYS */;

-- 导出  表 忘忧草.9999_00基本说明 结构
CREATE TABLE IF NOT EXISTS `9999_00基本说明` (
  `ID` varchar(50) DEFAULT NULL,
  `备注` varchar(200) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 正在导出表  忘忧草.9999_00基本说明 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `9999_00基本说明` DISABLE KEYS */;
REPLACE INTO `9999_00基本说明` (`ID`, `备注`) VALUES
	('开发团队', '忘忧草'),
	('团队口号', '学习着，并快乐着，秀出缤纷的自己,让大家心平气合的工作,无忧郁的生活'),
	('忘忧草介绍', '据《本草纲目》记载，忘忧草可"安五脏、利心志、明目"，其花和根均可入药，能“祛温利水，除湿通淋，止渴消烦，开胸开膈；令人心平气和，无忧郁。”这也许就是古人叫它“忘忧”“疗愁”的原因吧。');
/*!40000 ALTER TABLE `9999_00基本说明` ENABLE KEYS */;

-- 导出  视图 忘忧草.view_0000职位代码表 结构
-- 创建临时表以解决视图依赖性错误
CREATE TABLE `view_0000职位代码表` (
	`代号` VARCHAR(10) NOT NULL COLLATE 'utf8_general_ci',
	`代号名称` VARCHAR(50) NULL COLLATE 'utf8_general_ci',
	`备注` VARCHAR(50) NULL COLLATE 'utf8_general_ci',
	`归属类别` VARCHAR(6) NULL COMMENT '每个代号归属在哪个类别中,如短信接收人员类别为003,是表名前对应的序号' COLLATE 'utf8_general_ci',
	`启停标志` CHAR(4) NOT NULL COMMENT '起用,停用' COLLATE 'utf8_general_ci'
) ENGINE=MyISAM;

-- 导出  视图 忘忧草.view_0001登录用户 结构
-- 创建临时表以解决视图依赖性错误
CREATE TABLE `view_0001登录用户` (
	`用户ID` VARCHAR(36) NOT NULL COMMENT '由UUID()随机生成36位字符串,是用户的唯一标识' COLLATE 'utf8_general_ci',
	`登录用ID` VARCHAR(10) NOT NULL COMMENT '登录时用的ID,便于记忆,,与密码配套使用,也是唯一标识' COLLATE 'utf8_general_ci',
	`姓名` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
	`归属机构` VARCHAR(18) NOT NULL COMMENT '见0001_00组织机构中的组织机色ID,18位' COLLATE 'utf8_general_ci',
	`职务代码` VARCHAR(10) NOT NULL COMMENT '0000_00代码名称对照表中的' COLLATE 'utf8_general_ci',
	`手机号码` VARCHAR(11) NOT NULL COLLATE 'utf8_general_ci',
	`办公电话` VARCHAR(16) NULL COMMENT '办公电话区号+座机号' COLLATE 'utf8_general_ci',
	`其他电话` VARCHAR(11) NULL COMMENT '其他号码,如集团小号等' COLLATE 'utf8_general_ci',
	`是否可登录标志` VARCHAR(2) NOT NULL COMMENT '启用-表示可以登录,其他不可以登录;停用-不可以登录;待审-指刚被增加,还没有审核的,此标志' COLLATE 'utf8_general_ci',
	`登录密码` VARCHAR(100) NOT NULL COMMENT '用户密码,初始密码为Q123456!用md5保存' COLLATE 'utf8_general_ci',
	`机构全称` VARCHAR(200) NULL COMMENT '200个字符,全称,在一些对外使用的报表中采用' COLLATE 'utf8_general_ci',
	`代号名称` VARCHAR(50) NULL COLLATE 'utf8_general_ci',
	`角色代码` VARCHAR(10) NOT NULL COMMENT '来自于0002_01用户角色代码表中的角色代码' COLLATE 'utf8_general_ci',
	`角色名称` VARCHAR(50) NOT NULL COMMENT '自行编写,以简练易懂为好,系统模块名称+加功能名' COLLATE 'utf8_general_ci'
) ENGINE=MyISAM;

-- 导出  视图 忘忧草.view_0000职位代码表 结构
-- 移除临时表并创建最终视图结构
DROP TABLE IF EXISTS `view_0000职位代码表`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `view_0000职位代码表` AS select `0000_00代码名称对照表`.`代号` AS `代号`,`0000_00代码名称对照表`.`代号名称` AS `代号名称`,`0000_00代码名称对照表`.`备注` AS `备注`,`0000_00代码名称对照表`.`归属类别` AS `归属类别`,`0000_00代码名称对照表`.`启停标志` AS `启停标志` from `0000_00代码名称对照表` where `0000_00代码名称对照表`.`归属类别` = '200000';

-- 导出  视图 忘忧草.view_0001登录用户 结构
-- 移除临时表并创建最终视图结构
DROP TABLE IF EXISTS `view_0001登录用户`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `view_0001登录用户` AS select `0002_00用户基本信息表`.`用户ID` AS `用户ID`,`0002_00用户基本信息表`.`登录用ID` AS `登录用ID`,`0002_00用户基本信息表`.`姓名` AS `姓名`,`0002_00用户基本信息表`.`归属机构` AS `归属机构`,`0002_00用户基本信息表`.`职务代码` AS `职务代码`,`0002_00用户基本信息表`.`手机号码` AS `手机号码`,`0002_00用户基本信息表`.`办公电话` AS `办公电话`,`0002_00用户基本信息表`.`其他电话` AS `其他电话`,`0002_00用户基本信息表`.`是否可登录标志` AS `是否可登录标志`,`0002_00用户基本信息表`.`登录密码` AS `登录密码`,`0001_00组织机构`.`机构全称` AS `机构全称`,`view_0000职位代码表`.`代号名称` AS `代号名称`,`0002_02用户角色分配表`.`角色代码` AS `角色代码`,`0002_01用户角色代码表`.`角色名称` AS `角色名称` from ((((`0002_00用户基本信息表` join `0001_00组织机构`) join `view_0000职位代码表`) join `0002_02用户角色分配表`) join `0002_01用户角色代码表`) where `0002_00用户基本信息表`.`归属机构` = `0001_00组织机构`.`组织机构ID` and `0002_00用户基本信息表`.`职务代码` = `view_0000职位代码表`.`代号` and `0002_00用户基本信息表`.`用户ID` = `0002_02用户角色分配表`.`用户ID` and `0002_02用户角色分配表`.`角色代码` = `0002_01用户角色代码表`.`角色代码`;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
